# XQilla Simple API Documentation

# xqilla-simple.hpp File Reference

`#include <xqilla/simple-api/XQilla.hpp>`
`#include <xqilla/simple-api/XQQuery.hpp>`
`#include <xqilla/context/DynamicContext.hpp>`
`#include <xqilla/context/ItemFactory.hpp>`
`#include <xqilla/exceptions/XQException.hpp>`
`#include <xqilla/utils/XStr.hpp>`
`#include <xqilla/utils/UTF8Str.hpp>`
`#include <xqilla/framework/XPath2MemoryManager.hpp>`
`#include <xqilla/ast/LocationInfo.hpp>`
`#include <xqilla/context/MessageListener.hpp>`
`#include <xqilla/events/EventSerializer.hpp>`
`#include <xqilla/events/NSFixupFilter.hpp>`
`#include <xqilla/xerces/XercesConfiguration.hpp>`
`#include <xqilla/fastxdm/FastXDMConfiguration.hpp>`
`#include <xqilla/context/ModuleResolver.hpp>`
`#include <xqilla/context/URIResolver.hpp>`
`#include <xqilla/runtime/Sequence.hpp>`
Include dependency graph for xqilla-simple.hpp:

Go to the source code of this file.